# getAt

abstract fun getAt(name: String): T

Locates an object by name, failing if there is no such object. This method is identical to getByName. You can call this method in your build script by using the groovy `[]` operator.

This operation is eager and will cause the returned element to be realized.

#### Return

The object with the given name. Never returns null.

#### Parameters

name

The object name

#### Throws

UnknownDomainObjectException

when there is no such object in this collection.